pkgs: {
	enable = true;
	font.name = "Comic Mono";
	font.package = pkgs.comic-mono;
	font.size = 13;
	settings = {
		hide_window_decorations = true;
		tab_bar_style = "powerline";
		tab_powerline_style = "slanted";
		window_padding_width = 5;
		allow_remote_control = true;
		listen_on = "unix:/tmp/kitty";
		enabled_layouts = "splits";
		close_on_child_death = true;
		scrollback_lines = 4000;
		repaint_delay = 17;
		input_delay = 17;
		shell = "fish";
		editor = "nvim";

		foreground = "#ffffff";
		background = "#201B27";
		selection_foreground = "#201B27";
		selection_background = "#ffffff";

		# Old Lavender (Comments)
		color0 = "#91889b";
		color8 = "#91889b";

		# Hot Pink (Functions, Attributes, Highlights)
		color1 = "#ff52bf";
		color9 = "#ff52bf";

		# Pearl Aqua (Operators, Tags)
		color2 = "#3feabf";
		color10 = "#3feabf";

		# Mustard (Builtins, Constants)
		color3 = "#ffe261";
		color11 = "#ffe261";

		# Powder Blue (Strings)
		color4 = "#acdfef";
		color12 = "#acdfef";

		# African Violet (Numbers, Types)
		color5 = "#d887f5";
		color13 = "#d887f5";

		# Maximum Blue (Keywords, Properties)
		color6 = "#1ed3ec";
		color14 = "#1ed3ec";

		# Unnamed (Cool Mystery Purposes ig)
		color7 = "#716385";
		color15 = "#716385";

		# Roman Siler (Punctuation)
		# b4a8c8
	};
}
