:colo laserwave
:let g:airline_theme="fruit_punch"
:let g:EditorConfig_exclude_patterns = ['scp://.*']
:let g:instant_username = "Emi"

lua << EOF
require'colorizer'.setup()

require('hop').setup()

require'nvim-treesitter.configs'.setup {
   highlight = {
     enable = true,  -- false will disable the whole extension
   }
}
EOF

" https://github.com/neoclide/coc.nvim
" Used in keybindings
function! CheckBackspace() abort
  let col = col('.') - 1
  return !col || getline('.')[col - 1]  =~# '\s'
endfunction

function! ShowDocumentation()
  if CocAction('hasProvider', 'hover')
    call CocActionAsync('doHover')
  else
    call feedkeys('K', 'in')
  endif
endfunction

inoremap <silent><expr> <CR> coc#pum#visible() ? coc#pum#confirm() : "\<C-g>u\<CR>\<c-r>=coc#on_enter()\<CR>"